For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Cloudflare
    • GETpayload example
    • POSThttps://social-media-posting-dev.deao.workers.dev/post
        • GETGet User Pages: https://graph.facebook.com/v25.0/me/accounts
            • GET3. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
            • POST4. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
            • POST2. Upload Video: {upload_url}?access_token={fb_page_access_token}
LogoLogo
CloudflareSocial Media PostingFacebookStoriesVideo

  1. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

||View as Markdown|
GET
/v25.0/:video_id
GET
/v25.0/:video_id
$curl -G https://graph.facebook.com/v25.0/1995057251394009 \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -d access_token=EAARvj2oSxZBIBQ4Ef3gxW1zZCkoJZBxZCFxjVilKupwAXRCEIPNZBQfMmtIvGDqQDNqVQ6z6OhdEWagK2ZADK8ZCOkPhhfgjP3ojOGkAGvZCmZBjl50UJElpZBp0ZCpYXK4C78TXoaD2LcbZADOEEZBFr68LlcmH4LgQZBCaIZB59Amh8HC9qpysBAz09bkWD5IRZCGBqNGmp58iEwmx2HhfUZCdAoqYR \
> -d fields=status
2003. Get Upload Status: https://graph.facebook.com/v25.0/{video_id}?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
1{
2 "id": "1995057251394009",
3 "status": {
4 "video_status": "ready",
5 "uploading_phase": {
6 "status": "complete",
7 "bytes_transferred": 5845583
8 },
9 "processing_phase": {
10 "status": "complete"
11 },
12 "publishing_phase": {
13 "status": "complete",
14 "publish_time": "2026-03-22T17:22:59+0000",
15 "publish_status": "published"
16 },
17 "copyright_check_status": {
18 "status": "complete",
19 "matches_found": false
20 }
21 }
22}
Was this page helpful?
Previous

Get User Pages: https://graph.facebook.com/v25.0/me/accounts

Next

4. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

Built with

Path parameters

video_idstringRequired

From step 1 {video_id}

Query parameters

access_tokenstringOptional
{fb_page_access_token}
fieldsstringOptional

Request

This endpoint expects an object.

Response headers

ETagstring
Pragmastring
Alt-Svcstring
Expiresstring
x-fb-aedstring
x-fb-revstring
X-FB-Debugstring
Cache-Controlstring
x-fb-trace-idstring
x-fb-request-idstring
facebook-api-versionstring
X-FB-Connection-Qualitystring
Strict-Transport-Securitystring
x-business-use-case-usagestring
Access-Control-Allow-Originstring

Response

OK
idstring
statusobject

Get User Pages: https://graph.facebook.com/v25.0/me/accounts

  1. Publish Video Story: https://graph.facebook.com/v25.0/{fb_page_id}/video_stories?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}